Texa DeskDevelopers

Texa Desk Application API · Reports

Get first response time distribution by channel

GET/api/v2/accounts/{account_id}/reports/first_response_time_distribution

Get the distribution of first response times grouped by channel type. Returns conversation counts in different time buckets (0-1h, 1-4h, 4-8h, 8-24h, 24h+) for each channel type.

Note: This API endpoint is available only in Texa Desk version 4.11.0 and above.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

sincestring

The timestamp from where report should start (Unix timestamp).

untilstring

The timestamp from where report should stop (Unix timestamp).

Responses

200

Success

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring